GET
https://api.applivery.io/v1/integrations/builds/edge/prepare
curl -X GET "https://api.applivery.io/v1/integrations/builds/edge/prepare" \
-H "Authorization: Bearer <YOUR_API_KEY>"const response = await fetch("https://api.applivery.io/v1/integrations/builds/edge/prepare", {
method: "GET",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.applivery.io/v1/integrations/builds/edge/prepare",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
storageProvider
object
optional
id
string
optional
provider
string
optional
name
string
optional
configuration
object
optional
supportedExtensions
array [string]
optional
{
"status": true,
"data": {
"storageProvider": {
"id": "string",
"provider": "s3",
"name": "string",
"configuration": {
"security": {
"accessKey": "string",
"secret": "string",
"region": "string"
},
"bucket": "string",
"buildTempFolder": "string"
}
},
"supportedExtensions": [
"string"
]
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}